Subject: auto-revert-buffers can cause error "Selecting deleted buffer"

From: Paul Pogonyshev <[email-masked]>
Date: Wed, 15 May 2019 22:06:47 +0200

To reproduce:

    (with-temp-buffer
      (auto-revert-mode)
      (kill-buffer (current-buffer))
      (auto-revert-buffers))

The function is usually called from a timer, which means that if a killed
buffer somehow ends in `auto-revert-buffer-list', Emacs becomes nearly
unusable, because it spams with this error message non-stop.

I don't know how exactly a killed buffer can end there, but it has happened
to me several times already, probably after extensive C-g use.

`auto-revert-buffers' must be fixed to never select killed buffers.